Name:           ocaml-janest-core
Version:        109.24.00
Release:        %mkrel 2
Summary:        Jane Street Capital's alternative standard library for OCaml
License:        ASL 2.0
Group:          Development/OCaml
URL:            https://ocaml.janestreet.com/
Source0:        http://ocaml.janestreet.com/ocaml-core/%{version}/individual/core-%{version}.tar.gz
# Patch from trefis to fix build on 32b arch
# https://github.com/trefis/core/commit/4db4b9333beeb14763b9f44e3740ad46683b460d
Patch0:         core-109.24.00-fix-integer-literal-overflow.patch
Patch1:         core-109.24.00-disable-long-integer-tests.patch
Patch2:         core-109.24.00-upstream-4.01cloexec.patch
BuildRequires:  ncurses-devel
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-res-devel
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-herelib-devel >= 109.15.00
BuildRequires:  ocaml-sexplib-devel >= 109.20.00
BuildRequires:  ocaml-bin-prot-devel >= 109.15.00
BuildRequires:  ocaml-comparelib-devel >= 109.15.00
BuildRequires:  ocaml-variantslib >= 109.15.00
BuildRequires:  ocaml-fieldslib >= 109.20.00
BuildRequires:  ocaml-pa_ounit >= 109.18.00
BuildRequires:  ocaml-pipebang >= 109.15.00
BuildRequires:  chrpath
Requires: ocaml-compiler
Requires: ocaml-variantslib
Requires: ocaml-herelib
Requires: ocaml-sexplib
Requires: ocaml-fieldslib
Requires: ocaml-bin-prot
Requires: ocaml-comparelib
Requires: ocaml-pa_ounit
Requires: ocaml-pipebang
Requires: ocaml-res

%description
Core is Jane Street Capital's alternative standard library for OCaml.

Core does a number of things: it provides tail recursive versions of
non tail recursive functions in the standard library; changes the
signature of many of the standard modules; includes generic
serialization for most types, and adds some entirely new modules and
new functionality within existing modules.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-res-devel
Requires:       ocaml-pa_ounit-devel
Requires:       ocaml-bin-prot-devel
Requires:       ocaml-herelib-devel
Requires:       ocaml-comparelib-devel
Requires:       ocaml-fieldslib-devel
Requires:       ocaml-sexplib-devel
Requires:       ocaml-variantslib-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n core-%{version}
# Waiting for upstream fix
#patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make


%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/core
make install

strip $OCAMLFIND_DESTDIR/stublibs/dll*.so
chrpath --delete $OCAMLFIND_DESTDIR/stublibs/dll*.so


%files
%doc COPYRIGHT.txt LICENSE.txt INSTALL.txt
%dir %{_libdir}/ocaml/core
%{_libdir}/ocaml/core/META
%{_libdir}/ocaml/core/*.cma
%{_libdir}/ocaml/core/*.cmi
%{_libdir}/ocaml/core/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
# TODO: make the doc:
#%doc doc/
%{_libdir}/ocaml/core/*.a
%{_libdir}/ocaml/core/*.cmx
%{_libdir}/ocaml/core/*.cmxa
%{_libdir}/ocaml/core/*.ml
%{_libdir}/ocaml/core/*.mli


%changelog
* Thu Dec 12 2013 malo <malo> 109.24.00-2.mga4
+ Revision: 556417
- add upstream patch to fix compilation

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Tue Jun 04 2013 malo <malo> 109.24.00-1.mga4
+ Revision: 437164
- add a patch to disable tests involving long integers
- add patch (trefis) to fix i586 build
- update to 109.24.00

* Sun Jan 13 2013 umeabot <umeabot> 108.07.01-3.mga3
+ Revision: 361411
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 blue_prawn <blue_prawn> 108.07.01-2.mga3
+ Revision: 321598
- no change, just a rebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 319795
- updated to last version 108.07.01
- constrain the set of libs from janest to be the same version

* Tue Oct 02 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301887
- build requires ocaml-compiler-libs
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300493
- build requires ocaml-comparelib
- updated to last version 108.07.00
- upadeted to last version 108.07.00
- new rpm group for ocaml

* Sat Jul 28 2012 malo <malo> 108.00.02-2.mga3
+ Revision: 275454
- add missing requires to various ocaml libs

* Fri Jul 27 2012 malo <malo> 108.00.02-1.mga3
+ Revision: 274684
- update to new version 108.00.02
- spec clean-up after import from Mandriva
- imported package ocaml-janest-core


* Tue Sep 22 2009 Florent Monnier <blue_prawn@mandriva.org> 0.5.3-3mdv2010.0
+ Revision: 447493
- BuildRequires: chrpath
- rebuild
- rebuild
- added BuildRequires: ncurses-devel
- import ocaml-janest-core

